#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ptr
version:              0.16.8.7
visibility:           public
id:                   ptr-0.16.8.7-JEzuNqRgOR6Ls8cRFYNECj
key:                  ptr-0.16.8.7-JEzuNqRgOR6Ls8cRFYNECj
license:              MIT
copyright:            (c) 2017, Nikita Volkov
maintainer:           Nikita Volkov <nikita.y.volkov@mail.ru>
author:               Nikita Volkov <nikita.y.volkov@mail.ru>
homepage:             https://github.com/nikita-volkov/ptr
synopsis:             Experimental abstractions for operations on pointers
description:
    Collection of experimental abstractions over pointer operations.

category:             Ptr, Data
abi:                  ae7be71a536632e83644d064f9865080
exposed:              True
exposed-modules:
    Ptr.ByteString Ptr.IO Ptr.Parse Ptr.ParseUnbound Ptr.Peek Ptr.Poke
    Ptr.PokeAndPeek Ptr.Poking Ptr.Read Ptr.Receive

hidden-modules:
    Ptr.List Ptr.PokeIO Ptr.Prelude Ptr.Receive.Core
    Ptr.UncheckedShifting Ptr.Util.ByteString Ptr.Util.Word8Predicates

import-dirs:          /usr/lib/ghc-9.2.8/site-local/ptr-0.16.8.7
library-dirs:         /usr/lib/ghc-9.2.8/site-local/ptr-0.16.8.7
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-ptr
hs-libraries:         HSptr-0.16.8.7-JEzuNqRgOR6Ls8cRFYNECj
depends:
    base-4.16.4.0 bytestring-0.11.4.0
    contravariant-1.5.5-6oWUjmJNxDBFhugVD5s9dq
    profunctors-5.6.2-Fpx6S0nzAwaICwruRKgsWJ
    strict-list-0.1.7.6-Hvxx3f64V6i7LVGvFFjPIM text-1.2.5.0
    time-1.11.1.1 vector-0.13.1.0-LgUMl9iMMxZ36i6grq2qn1

haddock-interfaces:   /usr/share/doc/haskell-ptr/html/ptr.haddock
haddock-html:         /usr/share/doc/haskell-ptr/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

